﻿/*
<javascriptresource>
<eventid>Pixnub-EZ-Green-Screen-6-Dual-Mask</eventid>
<name>EZ Green Screen - Dual Mask</name>
<menu>filter</menu>
<category>0000000004</category>
<about>This filter removes green screen from an image.</about>
<enableinfo>true</enableinfo>
<terminology><![CDATA[<<
/Version 1
    /Events <<
        /Pixnub-EZ-Green-Screen-6-Dual-Mask [($$$/Pixnub/EGS6D/AppName=EZ Green Screen - Dual Mask) 
            /imageReference <<
			/screencolor [($$$/Pixnub/EGS6D/screencolor=Screen Color)  /string]
			/hairmask [($$$/Pixnub/EGS6D/hairmask=Hair Mask)  /boolean]
			/autospillopacity [($$$/Pixnub/EGS6D/autospillopacity=Auto Spill Correction Opacity)  /boolean]	
			/lightsrecover [($$$/Pixnub/EGS6D/lightsrecover=Lights Hair Recovery)  /double]
			/darksrecover [($$$/Pixnub/EGS6D/darksrecover=Darks Hair Recovery)  /double]
			/fgrecover [($$$/Pixnub/EGS6D/fgrecover=FG Recovery)  /double]
			/contractmask [($$$/Pixnub/EGS6D/contractmask=Contract Mask)  /double]		
			/smartradiuson [($$$/Pixnub/EGS6D/smartradiuson=Use Smart Radius)  /boolean]
			/smartradius [($$$/Pixnub/EGS6D/smartradius=Smart Radius)  /double]
			/smartradiusmode [($$$/Pixnub/EGS6D/smartradiusmode=Smart Radius Mode)  /string]
			/maskfeather [($$$/Pixnub/EGS6D/maskfeather=Feather Mask)  /double]
			/spillcorrectionopacity [($$$/Pixnub/EGS6D/spillcorrectionopacity=Spill Correction Opacity)  /double]
			/spillcolorrangewarms [($$$/Pixnub/EGS6D/spillcolorrangewarms=Spill Color Range Warms)  /double]
			/spillcolorrangewarmshair [($$$/Pixnub/EGS6D/spillcolorrangewarmshair=Spill Color Range Warms Hair)  /double]			
			/spillcolorrangecools [($$$/Pixnub/EGS6D/spillcolorrangecools=Spill Color Range Cools)  /double]
			/edgehairbrightness [($$$/Pixnub/EGS6D/strayhairbrightness=Edge Hair Brightness)  /double]
			/edgehairbrightnesswidth [($$$/Pixnub/EGS6D/strayhairbrightnesswidth=EdgeHair Brightness)  /double]			
			/edgehaircolorblend [($$$/Pixnub/EGS6D/edgehaircolorblend=Edge Hair Color Blend)  /double]
			/edgehaircolorblendwidth [($$$/Pixnub/EGS6D/edgehaircolorblendwidth=Edge Hair Color Blend Width)  /double]	
			/edgehairred [($$$/Pixnub/EGS6D/edgehairred=Edge Hair Blend Red Value)  /double]
			/edgehairgreen [($$$/Pixnub/EGS6D/edgehairgreen=Edge Hair Blend Green Value)  /double]
			/edgehairblue [($$$/Pixnub/EGS6D/edgehairblue=EdgeHair Blend Blue Value)  /double]
			/extendedscreenremoval [($$$/Pixnub/EGS6D/extendedscreenremoval=Extended Screen Removal)  /boolean]			
			/bgcolorred [($$$/Pixnub/EGS6D/bgcolorred=BG Color Red Value)  /double]
			/bgcolorgreen [($$$/Pixnub/EGS6D/bgcolorgreen=BG Color Green Value)  /double]
			/bgcolorblue [($$$/Pixnub/EGS6D/bgcolorblue=BG Color Blue Value)  /double]
			/mergemode [($$$/Pixnub/EGS6D/mergemode=Layer Output Mode)  /double]			
			/greendesat [($$$/Pixnub/EGS6/greendesat=Use Green Desaturation Layer)  /boolean]
			/egsversion [($$$/Pixnub/EGS6/egsversion=EZ Green Screen Version)  /string]
            >>]
    >>
>>]]></terminology> 
</javascriptresource>
*/

ProgramID='Pixnub-EZ-Green-Screen-6-Dual-Mask';
uiMode=true;
dualMask=true;
labExtraction=false;
labAdvanced=false;
startRecover=false;

ps_version=parseInt(app.version); 
if(ps_version>=12){run_filter();}
else {alert ("EZ Green Screen 6 requires Photoshop CS5 or higher");}

function run_filter(){
scriptdirectory = whereAmI();
bindirectory = new Folder(scriptdirectory+'/EZ Green Screen 6 Scripts Only');
egs_run = new File(bindirectory+'/egs6.jsxbin');
egs_run.open("r");
var read_file = egs_run.read();
egs_run.close();
eval(read_file);

if(startRecover==true){
egs_run2 = new File(bindirectory+'/ezrecover.jsxbin');
egs_run2.open("r");
var read_file2 = egs_run2.read();
egs_run2.close();
eval(read_file2);    
}
}

function whereAmI() {
   var where;
   try {
      var forcedError = FORCEDRRROR;
   }
   catch( e ) {
      where = File(e.fileName).parent;
   }
   return where;
} 

